-1

I have tried sudo apt-get purge ranger and then reinstalling it, but I have not been able to find anything that works. My python version is 2.7.

  • @GAD3R I just added it – dabforamerica Nov 3 '18 at 21:39
  • Check the error during the installation of the package sudo apt install ranger. – GAD3R Nov 3 '18 at 21:48
  • 1
    No errors, but it just suggest I update python-chardet, and now it is working. Sorry for the run around, I am still new to linux. Thanks for your help @GAD3R – dabforamerica Nov 3 '18 at 21:53
  • You are welcome , I am asking for the python version because ranger depend on python2.7 and buggy under python3.5. – GAD3R Nov 3 '18 at 21:56
  • 1
    @GAD3R I couldn't get that to run, but I tried sudo apt recommends ranger and it said no missing recommended packages were found – dabforamerica Nov 4 '18 at 19:06
0

First install a terminal that can render images. Right now the most advanced terminal is probably "Kitty".

apt install kitty

Then you'll need to install a new version of ranger. Make sure you've got rid of all the old stuff first.

sudo apt get --purge remove "ranger*"

Then add a new ranger.

pip3 install --user ranger

Now you simply need to enable previews. Edit ~/.config/ranger/rc.conf, and add the following

set preview_images true
set preview_image_method kitty

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.